int main(void)
{
    /* Initialized data */
    static float a[25]   /* was [5][5] */ = { 10.f,0.f,0.f,0.f,0.f,2.f,12.f,
            0.f,0.f,0.f,3.f,1.f,11.f,0.f,0.f,1.f,2.f,1.f,9.f,0.f,1.f,1.f,-1.f,
            1.f,15.f };
    static float b[25]   /* was [5][5] */ = { 12.f,0.f,0.f,0.f,0.f,1.f,14.f,
            0.f,0.f,0.f,-1.f,1.f,16.f,0.f,0.f,2.f,-1.f,-1.f,12.f,0.f,1.f,1.f,
            1.f,-1.f,11.f };

    /* Local variables */
    static int irab[5], ierr;
    extern int agh9r_c(int *, int *, int *, float *, float *, float *,
                       float *, float *, float *, int *, float *, int *);
    static int i__, m, n;
    static float v[25] /* was [5][5] */;
    static int mm;
    static float ev[5], rab[45], rlb, rub;

#define a_ref(a_1,a_2) a[(a_2)*5 + a_1 - 6]
#define b_ref(a_1,a_2) b[(a_2)*5 + a_1 - 6]
#define v_ref(a_1,a_2) v[(a_2)*5 + a_1 - 6]

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e %15.7e %15.7e %15.7e %15.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
                a_ref(i__, 4), a_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e %15.7e %15.7e %15.7e %15.7e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3),
                b_ref(i__, 4), b_ref(i__, 5));
    }
    n = 5;
    mm = 5;
    rlb = 70.f;
    rub = 300.f;
    agh9r_c(&n, &mm, &m, &rlb, &rub, a, b, ev, v, irab, rab, &ierr);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e %15.7e %15.7e %15.7e %15.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
                a_ref(i__, 4), a_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e %15.7e %15.7e %15.7e %15.7e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3),
                b_ref(i__, 4), b_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e \n", ev[i__-1]);
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %15.7e %15.7e %15.7e %15.7e %15.7e \n",
                v_ref(i__, 1), v_ref(i__, 2), v_ref(i__, 3),
                v_ref(i__, 4), v_ref(i__, 5));
    }
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef v_ref
#undef b_ref
#undef a_ref
